# Uses of Class
com.google.protobuf.Descriptors.DescriptorValidationException

Packages that use Descriptors.DescriptorValidationException
Package
Description
com.google.protobuf

## Uses of Descriptors.DescriptorValidationException in com.google.protobuf

Methods in com.google.protobuf that throw Descriptors.DescriptorValidationException
Modifier and Type
Method
Description
`static Descriptors.FileDescriptor`
Descriptors.FileDescriptor.`buildFrom(DescriptorProtos.FileDescriptorProto proto, Descriptors.FileDescriptor[] dependencies)`
Construct a `FileDescriptor`.
`static Descriptors.FileDescriptor`
Descriptors.FileDescriptor.`buildFrom(DescriptorProtos.FileDescriptorProto proto, Descriptors.FileDescriptor[] dependencies, boolean allowUnknownDependencies)`
Construct a `FileDescriptor`.